System requirements for Scorch

Follow

Scorch is compatible with both Windows and Mac systems. Below is an overview of the system requirements.

Windows: 

Windows XP SP2, Windows Vista (32-bit only) or Windows 7 (32- or 64-bit), Internet Explorer 7 or later, Mozilla Firefox, Google Chrome, SeaMonkey, 20MB hard disk space.

Mac OS X: 

Mac OS X 10.7, Safari 6 or later, Mozilla Firefox 18 or later, Google Chrome, 20MB hard disk space. Not compatible with Safari 5 on Mac OS X 10.6 or 10.7)

For full compatibility information see this article. or to install Scorch please click here.

 

Have more questions? Submit a request

Comments

Powered by Zendesk